/// <reference types="socket.io-client" />
import React from "react";
import { Views, ViewsToComponents } from "@react-fullstack/fullstack/lib/Views";
interface Props<ViewsInterface extends Views> {
    port: number;
    host: string;
    views: ViewsToComponents<ViewsInterface>;
}
declare class Client<ViewsInterface extends Views> extends React.Component<Props<ViewsInterface>> {
    socket: SocketIOClient.Socket;
    render: () => JSX.Element;
}
export { Client };
